@import '../../styles/variables.scss';

.project {
  position: relative;

  margin: 0;
  width: 100%;
  display: inline-flex;

  font-family: 'Jost', sans-serif;
  font-weight: 400;

  & img {
    width: 100%;
  }

  &_link {
    @include base-absolute;
  }

  &_tags {
    position: absolute;
    bottom: 24px;
    left: 24px;
    z-index: 2;

    font-size: 14px;

    &__button {
      @include reset-button;

      margin-right: 4px;
      padding: 2px 6px;
      box-sizing: border-box;

      border-radius: 4px;
      cursor: pointer;

      color: #fff;
      background-color: rgba(255, 255, 255, .3);

      &.__depricated {
        pointer-events: none;
        cursor: default;

        &:hover {
          background-color: rgba(255, 255, 255, .3);
        }
      }

      &:hover {
        background-color: rgba(255, 255, 255, .4);
      }
    }
  }

  &_info {
    position: absolute;
    left: 0;
    bottom: 0;

    padding: 24px 24px 56px;
    box-sizing: border-box;

    width: 100%;
    display: flex;
    flex-direction: column;

    pointer-events: none;

    color: #fff;
    background: linear-gradient(to top,
            rgba(0, 0, 0, .6) 20%,
            rgba(0, 0, 0, .4) 45%,
            rgba(0, 0, 0, .01) 95%);

    &__left {
      margin-bottom: 12px;
    }

    &__value {
      margin: 0;
      font-size: 18px;
      font-weight: normal;
    }
  }

  &_actions {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2;

    padding: 20px;
    box-sizing: border-box;

    display: flex;
    align-items: center;
    justify-content: center;

    &__container {
      margin: 10px;

      display: flex;
      flex-direction: column;
      align-items: center;

      color: #fff;

      & > span {
        display: none;
      }
    }

    &__button {
      @include reset-button;

      width: 50px;
      height: 50px;
      display: flex;
      align-items: center;
      justify-content: center;

      flex-shrink: 0;
      border-radius: 50%;
      border: 1px solid rgba(255, 255, 255, .6);

      cursor: pointer;
    }
  }
}

@media(min-width: $breakpoint-3) {
  .project {
    background-color: #000;

    &_actions {
      opacity: 0;

      &__container {
        & > span {
          margin-top: 4px;
          display: inline-block;
        }
      }
    }

    &_tags {
      position: absolute;
      top: 24px;
      left: 24px;
      bottom: unset;

      font-size: 14px;

      &__button {
        margin-right: 4px;
      }
    }

    &_info {
      padding: 24px;

      display: flex;
      align-items: center;
      justify-content: space-between;
      flex-direction: row;

      &__left {
        margin-bottom: 0;
      }
    }

    &:hover {
      .project {
        &_actions {
          @include base-absolute;
          transition: all .5s;
          opacity: 1;

          background-color: rgba(0, 0, 0, .4);
        }
      }
    }
  }
}
